Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IParticleDistanceLink

    java.lang.Object
      igeo.IDynamicsBase
          igeo.IParticleDistanceLink

All Implemented Interfaces:
  IDynamics, ISubobject

    public class IParticleDistanceLink

extends IDynamicsBase

Class of an implementation of IDynamics to limit particles to be spacified direction from a center.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`IVecI` | `center`
`double` | `distance`
`IParticle` | `particle`

Fields inherited from class igeo.IDynamicsBase
`parent, targets`

Constructor Summary
`IParticleDistanceLink(IParticle ptcl, double dist, IVecI cntr)`
`IParticleDistanceLink(IParticle ptcl, IVecI cntr)`
`IParticleDistanceLink(IParticle ptcl, IVecI cntr, double dist, IObject parent)`
`IParticleDistanceLink(IParticle ptcl, IVecI cntr, IObject parent)`

Method Summary
`void` | `initParticleDistanceLink()`
`void` | `update()` behavior definition of updating dynamics in each time frame

Methods inherited from class igeo.IDynamicsBase
`initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, updateTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### particle

    public IParticle particle

### center

    public IVecI center

### distance

    public double distance

Constructor Detail

### IParticleDistanceLink

    public IParticleDistanceLink(IParticle ptcl,
                                 IVecI cntr,
                                 IObject parent)

### IParticleDistanceLink

    public IParticleDistanceLink(IParticle ptcl,
                                 IVecI cntr)

### IParticleDistanceLink

    public IParticleDistanceLink(IParticle ptcl,
                                 IVecI cntr,
                                 double dist,
                                 IObject parent)

### IParticleDistanceLink

    public IParticleDistanceLink(IParticle ptcl,
                                 double dist,
                                 IVecI cntr)

Method Detail

### initParticleDistanceLink

    public void initParticleDistanceLink()

### update

    public void update()

  Description copied from class: `IDynamicsBase`
  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`
  Overrides:
    `update` in class `IDynamicsBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD